org.keycloak.models

## Class LDAPConstants

- java.lang.Object
- - org.keycloak.models.LDAPConstants

-     public class LDAPConstants
      extends Object

  Author:
    Marek Posolda

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `AUTH_TYPE`
    `static String` | `AUTH_TYPE_NONE`
    `static String` | `AUTH_TYPE_SIMPLE`
    `static String` | `BASE_DN`
    `static String` | `BATCH_SIZE_FOR_SYNC`
    `static String` | `BIND_CREDENTIAL`
    `static String` | `BIND_DN`
    `static String` | `CN`
    `static String` | `COMMA`
    `static String` | `CONNECTION_POOLING`
    `static String` | `CONNECTION_POOLING_AUTHENTICATION`
    `static String` | `CONNECTION_POOLING_DEBUG`
    `static String` | `CONNECTION_POOLING_INITSIZE`
    `static String` | `CONNECTION_POOLING_MAXSIZE`
    `static String` | `CONNECTION_POOLING_PREFSIZE`
    `static String` | `CONNECTION_POOLING_PROTOCOL`
    `static String` | `CONNECTION_POOLING_TIMEOUT`
    `static String` | `CONNECTION_TIMEOUT`
    `static String` | `CONNECTION_URL`
    `static String` | `CREATE_TIMESTAMP`
    `static String` | `CUSTOM_ATTRIBUTE_CREATE_DATE`
    `static String` | `CUSTOM_ATTRIBUTE_EXPIRY_DATE`
    `static String` | `CUSTOM_USER_SEARCH_FILTER`
    `static int` | `DEFAULT_BATCH_SIZE_FOR_SYNC`
    `static String` | `EDIT_MODE`
    `static String` | `EMAIL`
    `static String` | `EMPTY_ATTRIBUTE_VALUE`
    `static String` | `EMPTY_MEMBER_ATTRIBUTE_VALUE`
    `static String` | `ENABLED`
    `static String` | `ENTRY_UUID`
    `static String` | `EQUAL`
    `static String` | `GIVENNAME`
    `static String` | `GROUP`
    `static String` | `GROUP_OF_ENTRIES`
    `static String` | `GROUP_OF_NAMES`
    `static String` | `GROUP_OF_UNIQUE_NAMES`
    `static String` | `JPEG_PHOTO`
    `static String` | `LDAP_ENTRY_DN`
    `static String` | `LDAP_ID`
    `static String` | `LDAP_MATCHING_RULE_IN_CHAIN`
    `static String` | `LDAP_PROVIDER`
    `static String` | `MEMBER`
    `static String` | `MEMBER_OF`
    `static String` | `MODIFY_TIMESTAMP`
    `static String` | `MSAD_USER_ACCOUNT_CONTROL_MAPPER`
    `static String` | `MSADLDS_USER_ACCOUNT_CONTROL_MAPPER`
    `static String` | `MSDS_USER_ACCOUNT_DISABLED`
    `static String` | `MSDS_USER_PASSWORD_EXPIRED`
    `static String` | `MSDS_USER_PASSWORD_NOTREQD`
    `static String` | `NOVELL_EDIRECTORY_GUID`
    `static String` | `OBJECT_CLASS`
    `static String` | `OBJECT_GUID`
    `static String` | `PAGINATION`
    `static String` | `POSTAL_CODE`
    `static String` | `PWD_LAST_SET`
    `static String` | `RDN_LDAP_ATTRIBUTE`
    `static String` | `READ_TIMEOUT`
    `static String` | `SAM_ACCOUNT_NAME`
    `static String` | `SEARCH_SCOPE`
    `static String` | `SN`
    `static String` | `START_TLS`
    `static String` | `STREET`
    `static String` | `SYNC_REGISTRATIONS`
    `static String` | `TRUST_EMAIL`
    `static String` | `UID`
    `static String` | `USE_PASSWORD_MODIFY_EXTENDED_OP`
    `static String` | `USE_TRUSTSTORE_ALWAYS`
    `static String` | `USE_TRUSTSTORE_LDAPS_ONLY`
    `static String` | `USE_TRUSTSTORE_NEVER`
    `static String` | `USE_TRUSTSTORE_SPI`
    `static String` | `USER_ACCOUNT_CONTROL`
    `static String` | `USER_OBJECT_CLASSES`
    `static String` | `USER_PASSWORD_ATTRIBUTE`
    `static String` | `USERNAME_LDAP_ATTRIBUTE`
    `static String` | `USERS_DN`
    `static String` | `UUID_LDAP_ATTRIBUTE`
    `static String` | `VALIDATE_PASSWORD_POLICY`
    `static String` | `VENDOR`
    `static String` | `VENDOR_ACTIVE_DIRECTORY`
    `static String` | `VENDOR_NOVELL_EDIRECTORY`
    `static String` | `VENDOR_OTHER`
    `static String` | `VENDOR_RHDS`
    `static String` | `VENDOR_TIVOLI`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LDAPConstants()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static String` | `getUuidAttributeName(String vendor)`
    `static void` | `setTruststoreSpiIfNeeded(String useTruststoreSpi, String url, Map<String,Object> env)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### LDAP_PROVIDER

          public static final String LDAP_PROVIDER

      See Also:
        Constant Field Values

    - #### MSAD_USER_ACCOUNT_CONTROL_MAPPER

          public static final String MSAD_USER_ACCOUNT_CONTROL_MAPPER

      See Also:
        Constant Field Values

    - #### MSADLDS_USER_ACCOUNT_CONTROL_MAPPER

          public static final String MSADLDS_USER_ACCOUNT_CONTROL_MAPPER

      See Also:
        Constant Field Values

    - #### VENDOR

          public static final String VENDOR

      See Also:
        Constant Field Values

    - #### VENDOR_RHDS

          public static final String VENDOR_RHDS

      See Also:
        Constant Field Values

    - #### VENDOR_ACTIVE_DIRECTORY

          public static final String VENDOR_ACTIVE_DIRECTORY

      See Also:
        Constant Field Values

    - #### VENDOR_OTHER

          public static final String VENDOR_OTHER

      See Also:
        Constant Field Values

    - #### VENDOR_TIVOLI

          public static final String VENDOR_TIVOLI

      See Also:
        Constant Field Values

    - #### VENDOR_NOVELL_EDIRECTORY

          public static final String VENDOR_NOVELL_EDIRECTORY

      See Also:
        Constant Field Values

    - #### USE_PASSWORD_MODIFY_EXTENDED_OP

          public static final String USE_PASSWORD_MODIFY_EXTENDED_OP

      See Also:
        Constant Field Values

    - #### USERNAME_LDAP_ATTRIBUTE

          public static final String USERNAME_LDAP_ATTRIBUTE

      See Also:
        Constant Field Values

    - #### RDN_LDAP_ATTRIBUTE

          public static final String RDN_LDAP_ATTRIBUTE

      See Also:
        Constant Field Values

    - #### UUID_LDAP_ATTRIBUTE

          public static final String UUID_LDAP_ATTRIBUTE

      See Also:
        Constant Field Values

    - #### USER_OBJECT_CLASSES

          public static final String USER_OBJECT_CLASSES

      See Also:
        Constant Field Values

    - #### CONNECTION_URL

          public static final String CONNECTION_URL

      See Also:
        Constant Field Values

    - #### BASE_DN

          public static final String BASE_DN

      See Also:
        Constant Field Values

    - #### USERS_DN

          public static final String USERS_DN

      See Also:
        Constant Field Values

    - #### BIND_DN

          public static final String BIND_DN

      See Also:
        Constant Field Values

    - #### BIND_CREDENTIAL

          public static final String BIND_CREDENTIAL

      See Also:
        Constant Field Values

    - #### AUTH_TYPE

          public static final String AUTH_TYPE

      See Also:
        Constant Field Values

    - #### AUTH_TYPE_NONE

          public static final String AUTH_TYPE_NONE

      See Also:
        Constant Field Values

    - #### AUTH_TYPE_SIMPLE

          public static final String AUTH_TYPE_SIMPLE

      See Also:
        Constant Field Values

    - #### USE_TRUSTSTORE_SPI

          public static final String USE_TRUSTSTORE_SPI

      See Also:
        Constant Field Values

    - #### USE_TRUSTSTORE_ALWAYS

          public static final String USE_TRUSTSTORE_ALWAYS

      See Also:
        Constant Field Values

    - #### USE_TRUSTSTORE_NEVER

          public static final String USE_TRUSTSTORE_NEVER

      See Also:
        Constant Field Values

    - #### USE_TRUSTSTORE_LDAPS_ONLY

          public static final String USE_TRUSTSTORE_LDAPS_ONLY

      See Also:
        Constant Field Values

    - #### SEARCH_SCOPE

          public static final String SEARCH_SCOPE

      See Also:
        Constant Field Values

    - #### CONNECTION_POOLING

          public static final String CONNECTION_POOLING

      See Also:
        Constant Field Values

    - #### CONNECTION_POOLING_AUTHENTICATION

          public static final String CONNECTION_POOLING_AUTHENTICATION

      See Also:
        Constant Field Values

    - #### CONNECTION_POOLING_DEBUG

          public static final String CONNECTION_POOLING_DEBUG

      See Also:
        Constant Field Values

    - #### CONNECTION_POOLING_INITSIZE

          public static final String CONNECTION_POOLING_INITSIZE

      See Also:
        Constant Field Values

    - #### CONNECTION_POOLING_MAXSIZE

          public static final String CONNECTION_POOLING_MAXSIZE

      See Also:
        Constant Field Values

    - #### CONNECTION_POOLING_PREFSIZE

          public static final String CONNECTION_POOLING_PREFSIZE

      See Also:
        Constant Field Values

    - #### CONNECTION_POOLING_PROTOCOL

          public static final String CONNECTION_POOLING_PROTOCOL

      See Also:
        Constant Field Values

    - #### CONNECTION_POOLING_TIMEOUT

          public static final String CONNECTION_POOLING_TIMEOUT

      See Also:
        Constant Field Values

    - #### CONNECTION_TIMEOUT

          public static final String CONNECTION_TIMEOUT

      See Also:
        Constant Field Values

    - #### READ_TIMEOUT

          public static final String READ_TIMEOUT

      See Also:
        Constant Field Values

    - #### PAGINATION

          public static final String PAGINATION

      See Also:
        Constant Field Values

    - #### EDIT_MODE

          public static final String EDIT_MODE

      See Also:
        Constant Field Values

    - #### VALIDATE_PASSWORD_POLICY

          public static final String VALIDATE_PASSWORD_POLICY

      See Also:
        Constant Field Values

    - #### TRUST_EMAIL

          public static final String TRUST_EMAIL

      See Also:
        Constant Field Values

    - #### BATCH_SIZE_FOR_SYNC

          public static final String BATCH_SIZE_FOR_SYNC

      See Also:
        Constant Field Values

    - #### DEFAULT_BATCH_SIZE_FOR_SYNC

          public static final int DEFAULT_BATCH_SIZE_FOR_SYNC

      See Also:
        Constant Field Values

    - #### SYNC_REGISTRATIONS

          public static final String SYNC_REGISTRATIONS

      See Also:
        Constant Field Values

    - #### CUSTOM_USER_SEARCH_FILTER

          public static final String CUSTOM_USER_SEARCH_FILTER

      See Also:
        Constant Field Values

    - #### START_TLS

          public static final String START_TLS

      See Also:
        Constant Field Values

    - #### LDAP_ID

          public static final String LDAP_ID

      See Also:
        Constant Field Values

    - #### LDAP_ENTRY_DN

          public static final String LDAP_ENTRY_DN

      See Also:
        Constant Field Values

    - #### GIVENNAME

          public static final String GIVENNAME

      See Also:
        Constant Field Values

    - #### CN

          public static final String CN

      See Also:
        Constant Field Values

    - #### SN

          public static final String SN

      See Also:
        Constant Field Values

    - #### SAM_ACCOUNT_NAME

          public static final String SAM_ACCOUNT_NAME

      See Also:
        Constant Field Values

    - #### EMAIL

          public static final String EMAIL

      See Also:
        Constant Field Values

    - #### POSTAL_CODE

          public static final String POSTAL_CODE

      See Also:
        Constant Field Values

    - #### STREET

          public static final String STREET

      See Also:
        Constant Field Values

    - #### MEMBER

          public static final String MEMBER

      See Also:
        Constant Field Values

    - #### MEMBER_OF

          public static final String MEMBER_OF

      See Also:
        Constant Field Values

    - #### OBJECT_CLASS

          public static final String OBJECT_CLASS

      See Also:
        Constant Field Values

    - #### UID

          public static final String UID

      See Also:
        Constant Field Values

    - #### USER_PASSWORD_ATTRIBUTE

          public static final String USER_PASSWORD_ATTRIBUTE

      See Also:
        Constant Field Values

    - #### JPEG_PHOTO

          public static final String JPEG_PHOTO

      See Also:
        Constant Field Values

    - #### GROUP

          public static final String GROUP

      See Also:
        Constant Field Values

    - #### GROUP_OF_NAMES

          public static final String GROUP_OF_NAMES

      See Also:
        Constant Field Values

    - #### GROUP_OF_ENTRIES

          public static final String GROUP_OF_ENTRIES

      See Also:
        Constant Field Values

    - #### GROUP_OF_UNIQUE_NAMES

          public static final String GROUP_OF_UNIQUE_NAMES

      See Also:
        Constant Field Values

    - #### USER_ACCOUNT_CONTROL

          public static final String USER_ACCOUNT_CONTROL

      See Also:
        Constant Field Values

    - #### PWD_LAST_SET

          public static final String PWD_LAST_SET

      See Also:
        Constant Field Values

    - #### MSDS_USER_ACCOUNT_DISABLED

          public static final String MSDS_USER_ACCOUNT_DISABLED

      See Also:
        Constant Field Values

    - #### MSDS_USER_PASSWORD_NOTREQD

          public static final String MSDS_USER_PASSWORD_NOTREQD

      See Also:
        Constant Field Values

    - #### MSDS_USER_PASSWORD_EXPIRED

          public static final String MSDS_USER_PASSWORD_EXPIRED

      See Also:
        Constant Field Values

    - #### COMMA

          public static final String COMMA

      See Also:
        Constant Field Values

    - #### EQUAL

          public static final String EQUAL

      See Also:
        Constant Field Values

    - #### EMPTY_ATTRIBUTE_VALUE

          public static final String EMPTY_ATTRIBUTE_VALUE

      See Also:
        Constant Field Values

    - #### EMPTY_MEMBER_ATTRIBUTE_VALUE

          public static final String EMPTY_MEMBER_ATTRIBUTE_VALUE

      See Also:
        Constant Field Values

    - #### ENABLED

          public static final String ENABLED

      See Also:
        Constant Field Values

    - #### CUSTOM_ATTRIBUTE_CREATE_DATE

          public static final String CUSTOM_ATTRIBUTE_CREATE_DATE

      See Also:
        Constant Field Values

    - #### CUSTOM_ATTRIBUTE_EXPIRY_DATE

          public static final String CUSTOM_ATTRIBUTE_EXPIRY_DATE

      See Also:
        Constant Field Values

    - #### ENTRY_UUID

          public static final String ENTRY_UUID

      See Also:
        Constant Field Values

    - #### OBJECT_GUID

          public static final String OBJECT_GUID

      See Also:
        Constant Field Values

    - #### NOVELL_EDIRECTORY_GUID

          public static final String NOVELL_EDIRECTORY_GUID

      See Also:
        Constant Field Values

    - #### CREATE_TIMESTAMP

          public static final String CREATE_TIMESTAMP

      See Also:
        Constant Field Values

    - #### MODIFY_TIMESTAMP

          public static final String MODIFY_TIMESTAMP

      See Also:
        Constant Field Values

    - #### LDAP_MATCHING_RULE_IN_CHAIN

          public static final String LDAP_MATCHING_RULE_IN_CHAIN

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### LDAPConstants

          public LDAPConstants()

  - ### Method Detail

    - #### getUuidAttributeName

          public static String getUuidAttributeName(String vendor)

    - #### setTruststoreSpiIfNeeded

          public static void setTruststoreSpiIfNeeded(String useTruststoreSpi,
                                                      String url,
                                                      Map<String,Object> env)

Copyright © 2021 JBoss by Red Hat. All rights reserved.